Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2742743003: Delete RenderPassSink (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by xing.xu
Modified:
3 months, 1 week ago
Reviewers:
danakj, weiliangc
CC:
cc-bugs_chromium.org, chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Delete RenderPassSink Delete RenderPassSink because it is only used by FrameData. AppendRenderPasses only create one RenderPass, so rename to CreateRenderPass. BUG=None CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2742743003 Cr-Commit-Position: refs/heads/master@{#457109} Committed: https://chromium.googlesource.com/chromium/src/+/e5394bb17d12ce01acf000f5017be4c4c28ff83c

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rename AppendRenderPasses to CreateRenderPass #

Total comments: 5

Patch Set 3 : Delete RenderPassSink #

Total comments: 1

Patch Set 4 : Refine unittest #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -63 lines) Patch
M cc/BUILD.gn View 1 2 1 chunk +0 lines, -1 line 0 comments Download
D cc/layers/render_pass_sink.h View 1 2 1 chunk +0 lines, -25 lines 0 comments Download
M cc/layers/render_surface_impl.h View 1 2 chunks +1 line, -2 lines 0 comments Download
M cc/layers/render_surface_impl.cc View 1 3 chunks +2 lines, -3 lines 0 comments Download
M cc/layers/render_surface_unittest.cc View 1 2 3 3 chunks +1 line, -20 lines 0 comments Download
M cc/trees/layer_tree_host_impl.h View 1 2 3 chunks +2 lines, -6 lines 0 comments Download
M cc/trees/layer_tree_host_impl.cc View 1 2 2 chunks +1 line, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 40 (26 generated)
xing.xu
PTAL.
3 months, 2 weeks ago (2017-03-11 05:20:52 UTC) #8
weiliangc
LGTM
3 months, 1 week ago (2017-03-13 14:18:56 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2742743003/1
3 months, 1 week ago (2017-03-13 14:25:22 UTC) #11
danakj
https://codereview.chromium.org/2742743003/diff/1/cc/layers/render_surface_impl.cc File cc/layers/render_surface_impl.cc (right): https://codereview.chromium.org/2742743003/diff/1/cc/layers/render_surface_impl.cc#newcode360 cc/layers/render_surface_impl.cc:360: void RenderSurfaceImpl::AppendRenderPass(RenderPassSink* pass_sink) { Now that this is the ...
3 months, 1 week ago (2017-03-13 14:46:00 UTC) #13
danakj
https://codereview.chromium.org/2742743003/diff/1/cc/layers/render_surface_impl.cc File cc/layers/render_surface_impl.cc (right): https://codereview.chromium.org/2742743003/diff/1/cc/layers/render_surface_impl.cc#newcode360 cc/layers/render_surface_impl.cc:360: void RenderSurfaceImpl::AppendRenderPass(RenderPassSink* pass_sink) { On 2017/03/13 14:46:00, danakj wrote: ...
3 months, 1 week ago (2017-03-13 14:47:52 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/381928)
3 months, 1 week ago (2017-03-13 15:47:44 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2742743003/1
3 months, 1 week ago (2017-03-13 22:42:40 UTC) #19
xing.xu
On 2017/03/13 14:47:52, danakj wrote: > https://codereview.chromium.org/2742743003/diff/1/cc/layers/render_surface_impl.cc > File cc/layers/render_surface_impl.cc (right): > > https://codereview.chromium.org/2742743003/diff/1/cc/layers/render_surface_impl.cc#newcode360 > ...
3 months, 1 week ago (2017-03-14 01:26:59 UTC) #23
danakj
Cool, thanks. There's more you can delete :) https://codereview.chromium.org/2742743003/diff/20001/cc/layers/render_surface_unittest.cc File cc/layers/render_surface_unittest.cc (right): https://codereview.chromium.org/2742743003/diff/20001/cc/layers/render_surface_unittest.cc#newcode202 cc/layers/render_surface_unittest.cc:202: TestRenderPassSink ...
3 months, 1 week ago (2017-03-14 15:14:35 UTC) #26
xing.xu
On 2017/03/14 15:14:35, danakj wrote: > Cool, thanks. There's more you can delete :) > ...
3 months, 1 week ago (2017-03-15 05:11:11 UTC) #32
danakj
Thanks! LGTM https://codereview.chromium.org/2742743003/diff/40001/cc/layers/render_surface_unittest.cc File cc/layers/render_surface_unittest.cc (right): https://codereview.chromium.org/2742743003/diff/40001/cc/layers/render_surface_unittest.cc#newcode188 cc/layers/render_surface_unittest.cc:188: RenderPassList render_passes; you don't need this list, ...
3 months, 1 week ago (2017-03-15 15:22:16 UTC) #33
xing.xu
On 2017/03/15 15:22:16, danakj wrote: > Thanks! LGTM > > https://codereview.chromium.org/2742743003/diff/40001/cc/layers/render_surface_unittest.cc > File cc/layers/render_surface_unittest.cc (right): ...
3 months, 1 week ago (2017-03-15 15:58:13 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2742743003/60001
3 months, 1 week ago (2017-03-15 15:58:14 UTC) #37
commit-bot: I haz the power
3 months, 1 week ago (2017-03-15 16:53:15 UTC) #40
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/e5394bb17d12ce01acf000f5017b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318